### Constructor

# Vips Interpolate new

#### Declaration [src]

    VipsInterpolate*
    vips_interpolate_new (
      const char* nickname
    )

#### Description [src]

Look up an interpolator from a nickname and make one. You need to free the result with `g_object_unref()` when you’re done with it.

See also

`vips_type_find()`.

#### Parameters

`nickname`

  Type: `const char*`

  Nickname for interpolator.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VipsInterpolate`

An interpolator, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.